.\"	$NetBSD: timer_delete.2,v 1.4 2003/09/14 09:02:50 wiz Exp $
.\"
.\" Copyright (c) 2003 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Christos Zoulas.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 13, 2003
.Dt TIMER_DELETE 2
.Os
.Sh NAME
.Nm timer_delete
.Nd delete a per-process timer
.Sh LIBRARY
.Lb libc
.Sh SYNOPSIS
.In time.h
.Ft int
.Fn timer_delete "timer_t timerid"
.Sh DESCRIPTION
The
.Fn timer_delete
functions deletes the timer specified in the
.Ar timerid
argument.
The
.Ar timerid
argument must point to valid timer id, created by
.Xr timer_create 2 .
If the deletion is successful, the timer is disarmed and deleted.
Pending notification events (signals) may or may not be delivered.
.Sh RETURN VALUES
If successful, the
.Fn timer_delete
functions returns 0.
Otherwise, it returns \-1, and sets
.Dv errno
to indicate error.
.Sh ERRORS
The
.Fn timer_delete
function will fail if:
.Bl -tag -width Er
.It Bq Er EINVAL
The argument
.Ar timerid
is not a valid timer id.
.El
.Sh SEE ALSO
.Xr timer_create 2 ,
.Xr timer_getoverrun 2 ,
.Xr timer_gettime 2 ,
.Xr timer_settime 2
.Sh STANDARDS
.St -p1003.1b-93 ,
.St -p1003.1i-95
